import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.StringTokenizer;

public class cafe_sm {

	void genTable(char[][] a) {
		for (int i = 0; i < a.length; i++) {
			Arrays.fill(a[i], '.');
		}
		if (a.length == 1) {
			genLine(a[0]);
		} else {
			for (int i = 1; i < a.length; i += 3) {
				genLine(a[i]);
			}
			if (a.length % 3 == 1) {
				genLine(a[a.length - 1]);
			}
		}
	}

	void genLine(char[] a) {
		for (int j = 1; j < a.length; j += 3) {
			a[j] = 'T';
		}
		if (a.length % 3 == 1) {
			a[a.length - 1] = 'T';
		}
	}

	void out(char[][] a) {
		for (int i = 0; i < a.length; i++) {
			for (int j = 0; j < a[0].length; j++) {
				out.print(a[i][j]);
			}
			out.println();
		}
	}

	private void solve() {
		int n = nextInt(1, 50);
		int m = nextInt(1, 50);
		int k = nextInt(1, 10000);
		// for (int i = 1; i <= 10; i++) {
		// for (int j = 1; j <= 10; j++) {
		// char[][] a = new char[i][j];
		// genTable(a);
		// out(a);
		// out.println();
		// }
		// }
		char[][] a = new char[n][m];
		genTable(a);
		fori: for (int i = 0; i < a.length; i++) {
			for (int j = 0; j < a[0].length; j++) {
				if (k == 0)
					break fori;
				if (a[i][j] != 'T') {
					a[i][j] = 'h';
					k--;
				}
			}
		}
		if (k > 0) {
			out.println("Impossible");
			return;
		}
		out(a);

	}

	void myAssert(boolean b) {
		if (!b)
			throw new AssertionError();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;

	public void run() {
		try {
			br = new BufferedReader(new FileReader("cafe.in"));
			out = new PrintWriter("cafe.out");
			solve();
			out.close();
		} catch (IOException e) {
			throw new RuntimeException(e);
		}

	}

	int nextInt(int a, int b) {
		int x = Integer.parseInt(nextToken());
		if (x < a || x > b)
			throw new AssertionError();
		return x;
	}

	String nextToken() {
		try {
			while (st == null || !st.hasMoreTokens()) {
				st = new StringTokenizer(br.readLine());
			}
			return st.nextToken();
		} catch (IOException e) {
			return "0";
		}
	}

	public static void main(String[] args) {
		new cafe_sm().run();
	}
}
